<?php
     if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              if(RetRstField("SELECT fnid FROM tldivision WHERE ftdivision_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>
                  
                  alert('Kode Divisi sudah dipakai... ');
            <?php
              }
              else {
                    ?>
                   
                    
                  submitbutton('Simpan','','','','');
                   
            <?php
              }
            break;
        }       
        die("");
    }
    
        $objAxpDB->ViewName("Daftar Divisi");
        $objAxpDB->ViewTable("vHRDevisi");
        $objAxpDB->ViewSQL("select fnid,  ftdivision_code, ftdivision_name from tldivision");
        $objAxpDB->ViewCaption("ID,  Kode Divisi, Nama Divisi");

        $objAxpDB->FormName("Divisi");
        $objAxpDB->FormSQL("SELECT  ftdivision_code, ftdivision_name from tldivision");
        $objAxpDB->FormCaption("Kode Divisi, Nama Divisi");
        $objAxpDB->FormPosition("TL, TL, TL");
    

        $objAxpDB->Lookup("fnstatus", "select fntrans_status_code, fttrans_status_name from tstransaction_status where fntrans_group_code = 9", "fntrans_status_code", "fttrans_status_name", 1, True);

        $objAxpDB->SetStatus("id, fnStatus");
        if ($objAxpDB->GetStatus("id") == "")
                $objAxpDB->ButtonShow("baru, cetak_daftar, export_excel , tutup");
        elseif ($objAxpDB->GetStatus("id") == 0) {
                $objAxpDB->FormLocked("0, 0, 0");
                $objAxpDB->ButtonShow("reset, simpan, tutup");
        } elseif ($objAxpDB->GetStatus("id") != 0) {
                $objAxpDB->FormLocked("1, 0, 0");
                $objAxpDB->ButtonShow("update, hapus, tutup");
        }
        $objAxpDB->Process();
        $objAxpDB->WriteHtmlTable();
	   
       
?>
